| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Functions
Dynamic X and Z buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with partial pre-subtraction » 16 bit x 16 bit » 16 bit Complex x 16 bit Complex

## Overview

16 bit complex by 16 bit complex using Dynamic X and Z buffer conjugation

## Functions
v4cacc48 | mac4_antisym_ct (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mac4_antisym_ct (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mac4_antisym_ct (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | msc4_antisym_ct (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | msc4_antisym_ct (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | msc4_antisym_ct (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | mul4_antisym_ct (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mul4_antisym_ct (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mul4_antisym_ct (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | negmul4_antisym_ct (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | negmul4_antisym_ct (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | negmul4_antisym_ct (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, unsigned int mtap, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .

## Function Documentation

## ◆ mac4_antisym_ct() [1/3]

v4cacc48 mac4_antisym_ct | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += z00*(x00 - y00) + z01*x01
acc1 += z10*(x10 - y10) + z11*x11
acc2 += z20*(x20 - y20) + z21*x21
acc3 += z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_ct() [2/3]

v4cacc48 mac4_antisym_ct | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += z00*(x00 - y00) + z01*x01
acc1 += z10*(x10 - y10) + z11*x11
acc2 += z20*(x20 - y20) + z21*x21
acc3 += z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_ct() [3/3]

v4cacc48 mac4_antisym_ct | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-accumulate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .

acc0 += z00*(x00 - y00) + z01*x01
acc1 += z10*(x10 - y10) + z11*x11
acc2 += z20*(x20 - y20) + z21*x21
acc3 += z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_ct() [1/3]

v4cacc48 msc4_antisym_ct | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*x01
acc1 -= z10*(x10 - y10) + z11*x11
acc2 -= z20*(x20 - y20) + z21*x21
acc3 -= z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_ct() [2/3]

v4cacc48 msc4_antisym_ct | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*x01
acc1 -= z10*(x10 - y10) + z11*x11
acc2 -= z20*(x20 - y20) + z21*x21
acc3 -= z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_ct() [3/3]

v4cacc48 msc4_antisym_ct | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-subtract intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .

acc0 -= z00*(x00 - y00) + z01*x01
acc1 -= z10*(x10 - y10) + z11*x11
acc2 -= z20*(x20 - y20) + z21*x21
acc3 -= z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_ct() [1/3]

v4cacc48 mul4_antisym_ct | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = z00*(x00 - y00) + z01*x01
acc1 = z10*(x10 - y10) + z11*x11
acc2 = z20*(x20 - y20) + z21*x21
acc3 = z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_ct() [2/3]

v4cacc48 mul4_antisym_ct | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = z00*(x00 - y00) + z01*x01
acc1 = z10*(x10 - y10) + z11*x11
acc2 = z20*(x20 - y20) + z21*x21
acc3 = z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_ct() [3/3]

v4cacc48 mul4_antisym_ct | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .

acc0 = z00*(x00 - y00) + z01*x01
acc1 = z10*(x10 - y10) + z11*x11
acc2 = z20*(x20 - y20) + z21*x21
acc3 = z30*(x30 - y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_ct() [1/3]

v4cacc48 negmul4_antisym_ct | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*x01 )
acc1 = -( z10*(x10 - y10) + z11*x11 )
acc2 = -( z20*(x20 - y20) + z21*x21 )
acc3 = -( z30*(x30 - y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_ct() [2/3]

v4cacc48 negmul4_antisym_ct | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*x01 )
acc1 = -( z10*(x10 - y10) + z11*x11 )
acc2 = -( z20*(x20 - y20) + z21*x21 )
acc3 = -( z30*(x30 - y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_ct() [3/3]

v4cacc48 negmul4_antisym_ct | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | unsigned int | mtap,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex anti-symmetric multiply-negate intrinsic function with center-tap optimization with dynamic x and z buffer conjugation with pre-sub from x input buffer .

acc0 = -( z00*(x00 - y00) + z01*x01 )
acc1 = -( z10*(x10 - y10) + z11*x11 )
acc2 = -( z20*(x20 - y20) + z21*x21 )
acc3 = -( z30*(x30 - y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  mtap | Selector for partial pre-subtraction relative to xstart
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.